#include "MenuTextSk3_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextSk3_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk3_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_3;
}

std::shared_ptr<Entity> CreateMenuTextSk3_Player2Keyboard()
{
	return std::make_shared<MenuTextSk3_Player2Keyboard>();
}


